Package Gnumed :: Package timelinelib :: Package play :: Module playcontroller :: Class PlayController |
[frames] | no frames]

# Class PlayController

source code

    object --+
             |
            PlayController

Instance Methods
__init__(self, play_frame, timeline, drawing_algorithm, config) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
on_close_clicked(self) | source code
start_movie(self) | source code
tick(self) | source code
draw_fn(self, dc) | source code
get_period(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, play_frame, timeline, drawing_algorithm, config) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)